Check the status of an ingestion

This endpoint retrieves the current status of an ingestion session. This endpoint should be polled periodically after submitting the request to the endpoint to get updates on the processing status.

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Path parameters

ingestionIdstringRequiredformat: "^in_[0-9a-f]{32}$"
The generated Batch ID from an ingestion process.

Response

OK
ingestionNamestringOptional
The name of ingestion.
ingestionIdstringOptionalformat: "^in_[0-9a-f]{32}$"
The Ingestion ID that has been created as part of the ingestion process.
namespacestringOptional
The Entity namespace.
entitystringOptional
The Entity name.
stateenumOptional
The current state of the ingestion session.
timeoutstringOptional

Text representing a valid duration in the ISO-8601 format, for example PT15M.

openedBystringOptional
The username of the user who created the ingestion session.
openedOnstringOptionalformat: "date-time"
The date and time when the ingestion session was created.
closedBystring or nullOptional
The username of the user who closed the ingestion session. Present only if the state is 'closed'.
closedOnstring or nullOptionalformat: "date-time"
The actual close date and time of the ingestion. Present only if the state is 'closed'.
closeReasonenumOptional
The close reason of an ingestion session.
totalRowsinteger or nullOptional
The total number of records ingested into Fynapse.
successRowsinteger or nullOptional
The total number of records successfully ingested into Fynapse.
failedRowsinteger or nullOptional
The total number of records that failed to be ingested into Fynapse.
processingStatusenumOptional
The current processing status of an ingestion session.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
5XX
Server Error